Debian Security Advisory

DSA-1137-1 tiff -- several vulnerabilities

Date Reported:
02 Aug 2006
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2006-3459, CVE-2006-3460, CVE-2006-3461, CVE-2006-3462, CVE-2006-3463, CVE-2006-3464, CVE-2006-3465.
More information:

Tavis Ormandy of the Google Security Team discovered several problems in the TIFF library. The Common Vulnerabilities and Exposures project identifies the following issues:

  • CVE-2006-3459

    Several stack-buffer overflows have been discovered.

  • CVE-2006-3460

    A heap overflow vulnerability in the JPEG decoder may overrun a buffer with more data than expected.

  • CVE-2006-3461

    A heap overflow vulnerability in the PixarLog decoder may allow an attacker to execute arbitrary code.

  • CVE-2006-3462

    A heap overflow vulnerability has been discovered in the NeXT RLE decoder.

  • CVE-2006-3463

    An loop was discovered where a 16bit unsigned short was used to iterate over a 32bit unsigned value so that the loop would never terminate and continue forever.

  • CVE-2006-3464

    Multiple unchecked arithmetic operations were uncovered, including a number of the range checking operations designed to ensure the offsets specified in TIFF directories are legitimate.

  • CVE-2006-3465

    A flaw was also uncovered in libtiffs custom tag support which may result in abnormal behaviour, crashes, or potentially arbitrary code execution.

For the stable distribution (sarge) these problems have been fixed in version 3.7.2-7.

For the unstable distribution (sid) these problems have been fixed in version 3.8.2-6.

We recommend that you upgrade your libtiff packages.

Fixed in:

Debian GNU/Linux 3.1 (sarge)

Intel IA-32:
Intel IA-64:
Motorola 680x0:
Big endian MIPS:
Little endian MIPS:
IBM S/390:
Sun Sparc:

MD5 checksums of the listed files are available in the original advisory.